Arch Armatura a L

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar LShape and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar UShape.svg Armatura ad U Pagina precedente:
Pagina successiva: Armatura sagomata Arch Rebar BentShape.svg Arrow-right.svg

Arch Rebar LShape.svg Armatura a L

Posizione nel menu
Arch → Armature → Armatura a L
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Armatura sagomata, Armature


Descrizione

Lo strumento Armatura a L consente all'utente di creare un set di barre d'armatura a forma di L all'interno di un oggetto Struttura.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar LShape example.png

Quattro serie di barre di rinforzo a forma di L all'interno di una Struttura


Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar LShape.svg Armatura a L dagli strumenti dell'armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come quello sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor e diameter of the rebar.
  6. Selezionare la modalità di distribuzione per la quantità o per la spaziatura.
  7. Se è selezionata la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Apply per generare l'armatura.
  10. Cliccare Cancel per uscire dal pannello delle azioni.

LShapeDialog.png

Pannello Azioni per lo strumento Armatura a L di Arch


Proprietà

  • DATIOrientation: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
  • DATIFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DATIRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DATILeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DATIBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DATITop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DATIRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DATIAmount: La quantità di barre.
  • DATISpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura a L può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • f_cover, b_cover, l_cover, r_cover, e t_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • rounding è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
  • Se amount_spacing_check è True crea tante barre di rinforzo quante sono definite da amount_spacing_value; se è False crea le barre di rinforzo separate dal valore numerico indicato in amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in amount_spacing_check.
  • orientation specifica l'orientamento della barra d'armatura; può essere "Bottom Right", "Bottom Left", "Top Right", o "Top Left".

Esempio

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar è l'oggetto LShapeRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeLShapeRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")
Arrow-left.svg Arch Rebar UShape.svg Armatura ad U Pagina precedente:
Pagina successiva: Armatura sagomata Arch Rebar BentShape.svg Arrow-right.svg